跳到主要内容

1. 引言

MPLS 标签栈编码规范 [RFC3032] 定义了 4 个特殊用途标签值 (0 至 3), 并将 4 至 15 留作将来使用. 这些标签在控制平面和数据平面中都具有特殊意义. 此后又分配了 3 个值: [RFC6790] 中的值 7、[RFC5586] 中的值 13 和 [RFC3429] 中的值 14. 因此, 最初 16 个值的空间中还剩 9 个未分配值.

大约 12 年中仅从剩余 12 个特殊用途标签值中分配 3 个, 本身并不足以引起担忧; 真正的问题是特殊用途标签的稀缺性. 此外, 许多特殊用途标签要求转发硬件进行特殊处理, 而硬件变更通常成本高昂, 有时甚至无法实现. 因而, 为新分配的特殊用途标签值提供正式文档十分重要.

本文概述分配和退役特殊用途标签值时涉及的问题, 并定义相应机制. 本文还扩展特殊用途标签空间.

1.1. 本文使用的约定​

本文中的关键词 "MUST"、"MUST NOT"、"REQUIRED"、"SHALL"、"SHALL NOT"、"SHOULD"、"SHOULD NOT"、"RECOMMENDED"、"MAY" 和 "OPTIONAL" 按 [RFC2119] 解释.

本文引入两个新缩写:

  • XL (Extension Label, 扩展标签): 表示其后跟随一个扩展特殊用途标签的标签.
  • ESPL (Extended Special-Purpose Label, 扩展特殊用途标签): 位于标签栈中 XL 之后的特殊用途标签. XL 与 ESPL 的组合可以看作一种由标签栈中多个连续表项构成的新型"复合标签".